<?php
/**
 * The template for displaying eblast previews.
 *
 */

the_post(); 
global $post;
$custom_fields = get_post_custom($post->ID);

if($custom_fields["_remove_filter"])
foreach($custom_fields["_remove_filter"] as $filter)
	remove_filter( 'the_content', $filter );
if($custom_fields["_remove_head"])
foreach($custom_fields["_remove_head"] as $filter)
	remove_filter( 'wp_head', $filter );
if($custom_fields["_remove_footer"])
foreach($custom_fields["_remove_footer"] as $filter)
	remove_filter( 'wp_footer', $filter );

if($custom_fields["_style"][0])
	$style = plugins_url().'/facebook-tab-manager/fbtab-css.php?postid='.$post->ID;
elseif($custom_fields["_canvas"][0] || $_GET["canvas"])
	$style = plugins_url().'/facebook-tab-manager/fbtab-canvas.css';
else
	$style = plugins_url().'/facebook-tab-manager/fbtab.css';

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<?php
if($custom_fields["_new_window"][0])
{
?>
<base target="_blank" />
<?php
}
if($custom_fields["_wp_head"][0])
	wp_head();

?>
<link rel="stylesheet" type="text/css" media="all" href="<?=$style?>" />
<?
echo $custom_fields["_inchead"][0];
?>
</head>

<body>

	<div id="content">

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php


if(!$custom_fields["_hide_title"][0])
{
?>

						<h1 class="entry-title"><?php the_title(); ?></h1>
<?php
}
?>
					<div class="entry-content">
						<?php the_content(); ?>
					</div><!-- .entry-content -->
				</div><!-- #post-## -->

	</div>
<?php
if($custom_fields["_wp_footer"][0])
	wp_footer();

if($custom_fields["_resize"][0])
{
?>
<script type="text/javascript" src="http://connect.facebook.net/en_US/all.js"></script>
<script type="text/javascript" charset="utf-8">
    /* Resizing code will be here. */
	FB.Canvas.setSize();
	FB.Canvas.setAutoResize();
</script>
<?php
}

?>
</body>
</html>
